View Issue Details

IDProjectCategoryView StatusLast Update
0017201CentOS-8qt5public2020-04-15 20:25
Reportersplash486 
PrioritynormalSeveritytrivialReproducibilityalways
Status newResolutionopen 
Product Version8.1.1911 
Target VersionFixed in Version 
Summary0017201: Package qt5-qtbase-private-devel-5.12.5 is missing (CentOS 8 Stream)
DescriptionHello,

while trying to rebuild qt5-qttools (see bug 0016922) using mock I get a conflict because
of different versions of qt5-qtbase-devel. qt5-qttools requires qt5-qtbase-private-devel
to build. This used to be provided by qt5-qtbase-devel but is now a separate package.
So mock tries to install old qt5-qtbase-devel which obviously does not work. Is the missing
package intentionally not shipped ?

BTW, where are the source packages for CentOS 8 Stream? I could not find them on vault.centos.org
and downloaded git sources

Regards, Martin
Steps To Reproducemock --rebuild qt5-qttools-5.12.5-1.el8.0.1.src.rpm
TagsNo tags attached.

Activities

jcbollinger

jcbollinger

2020-04-15 20:25

reporter   ~0036696

This issue interferes with me building qt5-qtwebkit against qt5 5.12, which in turn BLOCKS my attempts to update to the new qt5-5.12 packages without removing software on which I depend.

I love that a new version of qt5 is made available -- that's the kind of thing for which I chose CentOS Stream. But it's not useful if parts get left out, including development components.

Issue History

Date Modified Username Field Change
2020-03-30 12:58 splash486 New Issue
2020-04-15 20:25 jcbollinger Note Added: 0036696